Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
libwps::MultiplanParserInternal::Zone Struct Reference

a data cell zone More...

## Public Types
enum | Type { Zone0 =0, Link, FileName, SharedData, Name, CellData, CellPosition, Undef }
| the different enum type More...

## Public Member Functions
| Zone ()
| constructor More...
bool | isValid () const
| returns true if the zone entry is valid More...

## Static Public Member Functions
static std::string | getName (int type)
| returns the name corresponding to a type More...

## Public Attributes
WPSEntry | m_entry
| the zone data More...
std::set< int > | m_positionsSet
| list of position in the zone More...

## Detailed Description

a data cell zone

## Member Enumeration Documentation

## ◆ Type

enum libwps::MultiplanParserInternal::Zone::Type

the different enum type

Enumerator
Zone0 |
Link |
FileName |
SharedData |
Name |
CellData |
CellPosition |
Undef |

## Constructor & Destructor Documentation

## ◆ Zone()

libwps::MultiplanParserInternal::Zone::Zone | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getName()

static std::string libwps::MultiplanParserInternal::Zone::getName | ( | int | type | ) |
| inline static

returns the name corresponding to a type

Referenced by libwps::MultiplanParser::readZonesList(), and libwps::MultiplanParser::readZonesListV2().

## ◆ isValid()

bool libwps::MultiplanParserInternal::Zone::isValid | ( |  | ) | const
| inline

returns true if the zone entry is valid

## Member Data Documentation

## ◆ m_entry

WPSEntry libwps::MultiplanParserInternal::Zone::m_entry

the zone data

## ◆ m_positionsSet

std::set<int> libwps::MultiplanParserInternal::Zone::m_positionsSet

list of position in the zone

The documentation for this struct was generated from the following file:

- Multiplan.cpp